#Elliot Slack
#SQL Assignment 4

USE vbvideo;

#Question 1
SELECT UPPER(StudioName) AS "Studio Name",SUBSTRING(Phone,5,10) AS "Phone Number"
FROM Studio;

#Question 2
USE BOOKS;
SELECT LastName,FirstName,IFNULL(referred,"NOT REFERRED")
FROM Customers;

#Question 3
USE lyric;
SELECT CONCAT_WS(".",LEFT(FirstName,1),LEFT(LastName,1)) AS "Members by Initials"
FROM Members;

#Question 4
USE books;
SELECT title,INSERT(ROUND(Cost/Retail*100,0),3,0,"%") AS "Markup Percent"
FROM Books;

#Question 5
SELECT CONCAT_WS(' at ',DATE_FORMAT(SYSDATE(), '%W, %M %D, %Y'), TIME_FORMAT(SYSDATE(), '%l:%i %p')) AS "Date and Time";

#Question 6
USE vbauto;
SELECT LName,ModelName, FORMAT(CostValue,2)
FROM Vehicle,Customer
WHERE InventoryID = InventoryIDNumber;

#Question 7
USE BOOKS;
SELECT DISTINCT Length (ISBN)
FROM books;

#Question 8
SELECT OrderDate AS "Order Date", IFNULL(ShipDate, "NOT SHIPPED") AS "Ship Date",
IFNULL(DATEDIFF(ShipDate,OrderDate),"NOT SHIPPED") AS "Days Between Ordering and Shipping",
DATE_ADD(OrderDate, INTERVAL 60 DAY) AS "Payment Due"
FROM Orders;

#Question 9
USE LYRIC;
SELECT ArtistName,WebAddress,SUBSTRING_INDEX(WebAddress,'.',-2) AS "Website"
FROM Artists
WHERE WebAddress IS NOT NULL;

#Question 10
SELECT EMail,LOCATE("@",Email)
FROM Members
WHERE EMail IS NOT NULL;
